complexType "StubCalculationPeriodAmount"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 3 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | calculationPeriodDatesReference?, initialStub?, finalStub?
</...>

Content Model Elements (3):

  calculationPeriodDatesReference (in stubCalculationPeriodAmount),
  finalStub,
  initialStub

All Direct / Indirect Based Elements (1):

  stubCalculationPeriodAmount

Known Usage Locations

- As direct type of elements (1):
  stubCalculationPeriodAmount

Annotation
A type defining how the initial or final stub calculation period amounts is calculated. For example, the rate to be applied to the initial or final stub calculation period may be the linear interpolation of two different tenors for the floating rate index specified in the calculation period amount component, e.g. A two month stub period may used the linear interpolation of a one month and three month floating rate. The different rate tenors would be specified in this component. Note that a maximum of two rate tenors can be specified. If a stub period uses a single index tenor and this is the same as that specified in the calculation period amount component then the initial stub or final stub component, as the case may be, must not be included.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="StubCalculationPeriodAmount"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"/> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="initialStub" type="StubValue"/> <xsd:element minOccurs="0" name="finalStub" type="StubValue"/> </xsd:sequence> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
calculationPeriodDatesReference

  Type: | CalculationPeriodDatesReference, empty content

  For use with Credit Limit Check messages. A pointer style reference to the associated calculation period dates component defined elsewhere in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"/>

finalStub

  Type: | StubValue, complex content

  Specifies how the final stub amount is calculated. A single floating rate tenor different to that used for the regular part of the calculation periods schedule may be specified, or two floating tenors may be specified. If two floating rate tenors are specified then Linear Interpolation (in accordance with the 2000 ISDA Definitions, Section 8.3. Interpolation) is assumed to apply. Alternatively, an actual known stub rate or stub amount may be specified.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="finalStub" type="StubValue"/>

initialStub

  Type: | StubValue, complex content

  Specifies how the initial stub amount is calculated. A single floating rate tenor different to that used for the regular part of the calculation periods schedule may be specified, or two floating tenors may be specified. If two floating rate tenors are specified then Linear Interpolation (in accordance with the 2000 ISDA Definitions, Section 8.3. Interpolation) is assumed to apply. Alternatively, an actual known stub rate or stub amount may be specified.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialStub" type="StubValue"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.